Package com.independentsoft.office.drawing

# Enum Class TextShapeType

java.lang.Object
java.lang.Enum<TextShapeType>
com.independentsoft.office.drawing.TextShapeType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextShapeType>`, `Constable`

public enum TextShapeType extends Enum<TextShapeType>
The Enum TextShapeType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM_DEFLATE`
  `BOTTOM_INFLATE`
  `BUTTON`
  `BUTTON_POUR`
  `CHEVRON`
  `CIRCLE`
  `CIRCLE_POUR`
  `DEFLATE`
  `DEFLATE_INFLATE`
  `DEFLATE_INFLATE_DEFLATE`
  `DOUBLE_WAVE`
  `DOWNWARD_ARCH`
  `DOWNWARD_CAN`
  `DOWNWARD_CASCADE`
  `DOWNWARD_CURVE`
  `DOWNWARD_FADE`
  `DOWNWARD_POUR_ARCH`
  `DOWNWARD_SLANT`
  `INFLATE`
  `INSIDE_RING`
  `INVERTED_CHEVRON`
  `INVERTED_TRIANGLE`
  `LEFT_FADE`
  `NO_TEXT_SHAPE`
  `NONE`
  `OUTSIDE_RING`
  `PLAIN`
  `RIGHT_FADE`
  `STOP_SIGN`
  `TOP_DEFLATE`
  `TOP_INFLATE`
  `TRIANGLE`
  `UPWARD_ARCH`
  `UPWARD_CAN`
  `UPWARD_CASCADE`
  `UPWARD_CURVE`
  `UPWARD_FADE`
  `UPWARD_POUR_ARCH`
  `UPWARD_SLANT`
  `WAVE_1`
  `WAVE_2`
  `WAVE_4`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextShapeType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextShapeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOWNWARD_ARCH

    public static final TextShapeType DOWNWARD_ARCH

  - ### DOWNWARD_POUR_ARCH

    public static final TextShapeType DOWNWARD_POUR_ARCH

  - ### UPWARD_ARCH

    public static final TextShapeType UPWARD_ARCH

  - ### UPWARD_POUR_ARCH

    public static final TextShapeType UPWARD_POUR_ARCH

  - ### BUTTON

    public static final TextShapeType BUTTON

  - ### BUTTON_POUR

    public static final TextShapeType BUTTON_POUR

  - ### DOWNWARD_CAN

    public static final TextShapeType DOWNWARD_CAN

  - ### UPWARD_CAN

    public static final TextShapeType UPWARD_CAN

  - ### DOWNWARD_CASCADE

    public static final TextShapeType DOWNWARD_CASCADE

  - ### UPWARD_CASCADE

    public static final TextShapeType UPWARD_CASCADE

  - ### CHEVRON

    public static final TextShapeType CHEVRON

  - ### INVERTED_CHEVRON

    public static final TextShapeType INVERTED_CHEVRON

  - ### CIRCLE

    public static final TextShapeType CIRCLE

  - ### CIRCLE_POUR

    public static final TextShapeType CIRCLE_POUR

  - ### DOWNWARD_CURVE

    public static final TextShapeType DOWNWARD_CURVE

  - ### UPWARD_CURVE

    public static final TextShapeType UPWARD_CURVE

  - ### DEFLATE

    public static final TextShapeType DEFLATE

  - ### BOTTOM_DEFLATE

    public static final TextShapeType BOTTOM_DEFLATE

  - ### DEFLATE_INFLATE

    public static final TextShapeType DEFLATE_INFLATE

  - ### DEFLATE_INFLATE_DEFLATE

    public static final TextShapeType DEFLATE_INFLATE_DEFLATE

  - ### TOP_DEFLATE

    public static final TextShapeType TOP_DEFLATE

  - ### DOUBLE_WAVE

    public static final TextShapeType DOUBLE_WAVE

  - ### DOWNWARD_FADE

    public static final TextShapeType DOWNWARD_FADE

  - ### LEFT_FADE

    public static final TextShapeType LEFT_FADE

  - ### RIGHT_FADE

    public static final TextShapeType RIGHT_FADE

  - ### UPWARD_FADE

    public static final TextShapeType UPWARD_FADE

  - ### INFLATE

    public static final TextShapeType INFLATE

  - ### BOTTOM_INFLATE

    public static final TextShapeType BOTTOM_INFLATE

  - ### TOP_INFLATE

    public static final TextShapeType TOP_INFLATE

  - ### NO_TEXT_SHAPE

    public static final TextShapeType NO_TEXT_SHAPE

  - ### PLAIN

    public static final TextShapeType PLAIN

  - ### INSIDE_RING

    public static final TextShapeType INSIDE_RING

  - ### OUTSIDE_RING

    public static final TextShapeType OUTSIDE_RING

  - ### DOWNWARD_SLANT

    public static final TextShapeType DOWNWARD_SLANT

  - ### UPWARD_SLANT

    public static final TextShapeType UPWARD_SLANT

  - ### STOP_SIGN

    public static final TextShapeType STOP_SIGN

  - ### TRIANGLE

    public static final TextShapeType TRIANGLE

  - ### INVERTED_TRIANGLE

    public static final TextShapeType INVERTED_TRIANGLE

  - ### WAVE_1

    public static final TextShapeType WAVE_1

  - ### WAVE_2

    public static final TextShapeType WAVE_2

  - ### WAVE_4

    public static final TextShapeType WAVE_4

  - ### NONE

    public static final TextShapeType NONE

- ## Method Details

  - ### values

    public static TextShapeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextShapeType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null